--- a/uuid.cabal
+++ b/uuid.cabal
@@ -1,5 +1,6 @@
 Name: uuid
 Version: 1.3.13
+x-revision: 3
 Copyright: (c) 2008-2014 Antoine Latter
 Author: Antoine Latter
 Maintainer: hvr@gnu.org
@@ -34,10 +35,10 @@
                        bytestring      >= 0.10     && < 0.11,
                        cryptohash-sha1 >= 0.11.100 && < 0.12,
                        cryptohash-md5  >= 0.11.100 && < 0.12,
-                       entropy         >= 0.3.7    && < 0.4,
+                       entropy         >= 0.3.7    && < 0.5,
                        network-info    == 0.2.*,
                        random          >= 1.0.1    && < 1.2,
-                       time            >= 1.1      && < 1.8,
+                       time            >= 1.1      && < 1.10,
                        text            >= 1        && < 1.3,
                        uuid-types      >= 1.0.2    && < 2
 
@@ -69,12 +70,12 @@
     Build-Depends:     uuid
     Build-Depends:     base             >= 4.3   && < 5,
                        bytestring       >= 0.9   && < 0.11,
-                       HUnit            >= 1.2   && < 1.4,
-                       QuickCheck       >= 2.4   && < 2.10,
+                       HUnit            >= 1.2,
+                       QuickCheck       >= 2.4,
                        random           >= 1.0.1 && < 1.2,
-                       tasty            >= 0.10  && < 0.12,
-                       tasty-hunit      == 0.9.*,
-                       tasty-quickcheck == 0.8.*
+                       tasty            >= 0.10,
+                       tasty-hunit      >= 0.9,
+                       tasty-quickcheck >= 0.8
 
 benchmark benchmark
     Type:              exitcode-stdio-1.0
